<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:20 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>SwInteractionResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SwInteractionResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SwInteractionResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwMutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html" target="_top">Frames</a></li>
<li><a href="SwInteractionResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction</div>
<h2 title="Interface SwInteractionResource" class="title">Interface SwInteractionResource</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/MessageComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">MessageComResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/NotificationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">NotificationResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SharedDataComResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SharedDataComResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwCommunicationResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwMutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwMutualExclusionResource</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwSynchronizationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">SwSynchronizationResource</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/MessageComResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">MessageComResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/NotificationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">NotificationResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SharedDataComResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SharedDataComResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwCommunicationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwCommunicationResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwInteractionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwInteractionResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwMutualExclusionResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwMutualExclusionResourceImpl</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/impl/SwSynchronizationResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.impl">SwSynchronizationResourceImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">SwInteractionResource</span>
extends <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a></pre>
<div class="block"><!-- begin-user-doc -->
 A representation of the model object '<em><b>Sw Interaction Resource</b></em>'.
 <!-- end-user-doc -->

 <p>
 The following features are supported:
 </p>
 <ul>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#isIntraMemoryPartitionInteraction--"><code><em>Is Intra Memory Partition Interaction</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueuePolicy--"><code><em>Waiting Queue Policy</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueueCapacity--"><code><em>Waiting Queue Capacity</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements--"><code><em>Waiting Policy Elements</em></code></a></li>
 </ul></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SW_InteractionPackage.html#getSwInteractionResource--"><code>SW_InteractionPackage.getSwInteractionResource()</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements--">getWaitingPolicyElements</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Waiting Policy Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-">getWaitingPolicyElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                        org.eclipse.uml2.uml.Type&nbsp;type)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Waiting Policy Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.TypedElement</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getWaitingPolicyElements</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                        org.eclipse.uml2.uml.Type&nbsp;type,
                        boolean&nbsp;ignoreCase,
                        org.eclipse.emf.ecore.EClass&nbsp;eClass)</code>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Waiting Policy Elements</b></em>' reference list.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueueCapacity--">getWaitingQueueCapacity</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Waiting Queue Capacity</b></em>' attribute.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">QueuePolicyKind</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueuePolicy--">getWaitingQueuePolicy</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Waiting Queue Policy</b></em>' attribute.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#isIntraMemoryPartitionInteraction--">isIntraMemoryPartitionInteraction</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Is Intra Memory Partition Interaction</b></em>' attribute.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setIsIntraMemoryPartitionInteraction-boolean-">setIsIntraMemoryPartitionInteraction</a></span>(boolean&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#isIntraMemoryPartitionInteraction--"><code><em>Is Intra Memory Partition Interaction</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setWaitingQueueCapacity-int-">setWaitingQueueCapacity</a></span>(int&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueueCapacity--"><code><em>Waiting Queue Capacity</em></code></a>' attribute.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setWaitingQueuePolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.QueuePolicyKind-">setWaitingQueuePolicy</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">QueuePolicyKind</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueuePolicy--"><code><em>Waiting Queue Policy</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.SwResource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_ResourceCore">SwResource</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices--">getCreateServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getCreateServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getCreateServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getCreateServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices--">getDeleteServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getDeleteServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getDeleteServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getDeleteServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements--">getIdentifierElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-">getIdentifierElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getIdentifierElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getIdentifierElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices--">getInitializeServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-">getInitializeServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getInitializeServices-java.lang.String-org.eclipse.emf.common.util.EList-org.eclipse.emf.common.util.EList-boolean-org.eclipse.emf.ecore.EClass-">getInitializeServices</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getMemorySizeFootprint--">getMemorySizeFootprint</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements--">getStateElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-">getStateElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#getStateElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">getStateElements</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_ResourceCore/SwResource.html#setMemorySizeFootprint-org.eclipse.uml2.uml.TypedElement-">setMemorySizeFootprint</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.Resource">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Resource</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Classifier--">getBase_Classifier</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_ConnectableElement--">getBase_ConnectableElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_InstanceSpecification--">getBase_InstanceSpecification</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Lifeline--">getBase_Lifeline</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getBase_Property--">getBase_Property</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#getResMult--">getResMult</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isActive--">isActive</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#isProtected--">isProtected</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Classifier-org.eclipse.uml2.uml.Classifier-">setBase_Classifier</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_ConnectableElement-org.eclipse.uml2.uml.ConnectableElement-">setBase_ConnectableElement</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-">setBase_InstanceSpecification</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Lifeline-org.eclipse.uml2.uml.Lifeline-">setBase_Lifeline</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setBase_Property-org.eclipse.uml2.uml.Property-">setBase_Property</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsActive-boolean-">setIsActive</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setIsProtected-boolean-">setIsProtected</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Resource.html#setResMult-java.lang.String-">setResMult</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isIntraMemoryPartitionInteraction--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIntraMemoryPartitionInteraction</h4>
<pre>boolean&nbsp;isIntraMemoryPartitionInteraction()</pre>
<div class="block">Returns the value of the '<em><b>Is Intra Memory Partition Interaction</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Is Intra Memory Partition Interaction</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Is Intra Memory Partition Interaction</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setIsIntraMemoryPartitionInteraction-boolean-"><code>setIsIntraMemoryPartitionInteraction(boolean)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SW_InteractionPackage.html#getSwInteractionResource_IsIntraMemoryPartitionInteraction--"><code>SW_InteractionPackage.getSwInteractionResource_IsIntraMemoryPartitionInteraction()</code></a></dd>
</dl>
</li>
</ul>
<a name="setIsIntraMemoryPartitionInteraction-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsIntraMemoryPartitionInteraction</h4>
<pre>void&nbsp;setIsIntraMemoryPartitionInteraction(boolean&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#isIntraMemoryPartitionInteraction--"><code><em>Is Intra Memory Partition Interaction</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Is Intra Memory Partition Interaction</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#isIntraMemoryPartitionInteraction--"><code>isIntraMemoryPartitionInteraction()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWaitingQueuePolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWaitingQueuePolicy</h4>
<pre><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">QueuePolicyKind</a>&nbsp;getWaitingQueuePolicy()</pre>
<div class="block">Returns the value of the '<em><b>Waiting Queue Policy</b></em>' attribute.
 The literals are from the enumeration <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction"><code>QueuePolicyKind</code></a>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Waiting Queue Policy</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Waiting Queue Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction"><code>QueuePolicyKind</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setWaitingQueuePolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.QueuePolicyKind-"><code>setWaitingQueuePolicy(QueuePolicyKind)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SW_InteractionPackage.html#getSwInteractionResource_WaitingQueuePolicy--"><code>SW_InteractionPackage.getSwInteractionResource_WaitingQueuePolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="setWaitingQueuePolicy-org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction.QueuePolicyKind-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWaitingQueuePolicy</h4>
<pre>void&nbsp;setWaitingQueuePolicy(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction">QueuePolicyKind</a>&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueuePolicy--"><code><em>Waiting Queue Policy</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Waiting Queue Policy</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/QueuePolicyKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction"><code>QueuePolicyKind</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueuePolicy--"><code>getWaitingQueuePolicy()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWaitingQueueCapacity--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWaitingQueueCapacity</h4>
<pre>int&nbsp;getWaitingQueueCapacity()</pre>
<div class="block">Returns the value of the '<em><b>Waiting Queue Capacity</b></em>' attribute.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Waiting Queue Capacity</em>' attribute isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Waiting Queue Capacity</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#setWaitingQueueCapacity-int-"><code>setWaitingQueueCapacity(int)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SW_InteractionPackage.html#getSwInteractionResource_WaitingQueueCapacity--"><code>SW_InteractionPackage.getSwInteractionResource_WaitingQueueCapacity()</code></a></dd>
</dl>
</li>
</ul>
<a name="setWaitingQueueCapacity-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWaitingQueueCapacity</h4>
<pre>void&nbsp;setWaitingQueueCapacity(int&nbsp;value)</pre>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueueCapacity--"><code><em>Waiting Queue Capacity</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the new value of the '<em>Waiting Queue Capacity</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingQueueCapacity--"><code>getWaitingQueueCapacity()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWaitingPolicyElements--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWaitingPolicyElements</h4>
<pre>org.eclipse.emf.common.util.EList&lt;org.eclipse.uml2.uml.TypedElement&gt;&nbsp;getWaitingPolicyElements()</pre>
<div class="block">Returns the value of the '<em><b>Waiting Policy Elements</b></em>' reference list.
 The list contents are of type <code>TypedElement</code>.
 <!-- begin-user-doc -->
 <p>
 If the meaning of the '<em>Waiting Policy Elements</em>' reference list isn't clear,
 there really should be more of a description here...
 </p>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Waiting Policy Elements</em>' reference list.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SW_InteractionPackage.html#getSwInteractionResource_WaitingPolicyElements--"><code>SW_InteractionPackage.getSwInteractionResource_WaitingPolicyElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWaitingPolicyElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getWaitingPolicyElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                           org.eclipse.uml2.uml.Type&nbsp;type)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Waiting Policy Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements--"><code>getWaitingPolicyElements()</code></a></dd>
</dl>
</li>
</ul>
<a name="getWaitingPolicyElements-java.lang.String-org.eclipse.uml2.uml.Type-boolean-org.eclipse.emf.ecore.EClass-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getWaitingPolicyElements</h4>
<pre>org.eclipse.uml2.uml.TypedElement&nbsp;getWaitingPolicyElements(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                                                           org.eclipse.uml2.uml.Type&nbsp;type,
                                                           boolean&nbsp;ignoreCase,
                                                           org.eclipse.emf.ecore.EClass&nbsp;eClass)</pre>
<div class="block">Retrieves the first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>' from the '<em><b>Waiting Policy Elements</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - The '<em><b>Name</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>type</code> - The '<em><b>Type</b></em>' of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dd><code>ignoreCase</code> - Whether to ignore case in <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang"><code>String</code></a> comparisons.</dd>
<dd><code>eClass</code> - The Ecore class of the <code>TypedElement</code> to retrieve, or <code>null</code>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The first <code>TypedElement</code> with the specified '<em><b>Name</b></em>', and '<em><b>Type</b></em>', or <code>null</code>.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html#getWaitingPolicyElements--"><code>getWaitingPolicyElements()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SwInteractionResource.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwCommunicationResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwMutualExclusionResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Interaction"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Interaction/SwInteractionResource.html" target="_top">Frames</a></li>
<li><a href="SwInteractionResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
